Bug 450437 - Language change does not change firefox's locale
Language change does not change firefox's locale
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 08:37 EDT by markm
Modified: 2018-04-11 04:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
locale reposts en_GB, Firefox reports en_US (139.98 KB, image/png)
2008-08-12 10:55 EDT, markm
no flags Details

  None (edit)
Description markm 2008-06-08 08:37:47 EDT
Description of problem:

When I first logged into Fedora 9, I've changed my language to English (British)
I assume, it should change locale settings in firefox into en-GB, but
unfortunately it did not, firefox's locale was set to en-US.

Version-Release number of selected component (if applicable):

firefox-3.0-0.60.beta5.fc9@i386

How reproducible:

have not tried
Comment 1 Jens Petersen 2008-07-23 01:40:26 EDT
This works for me with rawhide at least.
Comment 2 Pravin Satpute 2008-07-30 01:56:10 EDT
looks like firefox so changing component to from s-c-l to firefox
Comment 3 Matěj Cepl 2008-07-30 02:24:11 EDT
Marek, could you reproduce this with the upgraded Fedora 9?
Comment 4 markm 2008-08-12 10:53:53 EDT
Firefox: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9.0.1) Gecko/2008071615 Fedora/3.0.1-1.fc9 Firefox/3.0.1

1. I've created a new user
2. Logged in with default en_US locale
3. Logged out and re-logged with en_GB locale
4. Firefox reports en_US locale

see screen shot attached.
Comment 5 markm 2008-08-12 10:55:52 EDT
Created attachment 314101 [details]
locale reposts en_GB, Firefox reports en_US
Comment 6 Bug Zapper 2009-06-09 21:28:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:49:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.